<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:b="http://bootsfaces.net/ui">

    <div class="container">
        <h2>#{msgs.manageNewsFeed}</h2>
        <div class="container">
            <h:form>
                <p:panelGrid columns="3">
                    
                    <h:message id="imageUrlError" for="imageUrl" style="color:red" />

                    <h:outputLabel for="link" value="#{msgs.link}"/>
                    <h:inputText id="link" 
                                 value="#{newsFeedBackingBean.link}"
                                 required="true"
                                 requiredMessage="#{msgs.required}"

                                 style="width:400px">
                        <f:validateLength maximum="1000" />
                        <f:ajax event="blur" render="linkError" />
                    </h:inputText>
                    <h:message id="linkError" for="link" style="color:red" />

                    <h:commandLink
                        action="#{newsFeedBackingBean.addNewsFeed()}"
                        styleClass="btn btn-primary">
                        <i class="glyphicon glyphicon-plus"></i>
                    </h:commandLink>
                </p:panelGrid>
            </h:form>
            <h:form id="NewsFeedForm">
                <p:growl id="formMsgs" showDetail="true"/>
                <p:dataTable value="#{newsFeedBackingBean.newsFeedList}" 
                             var="newsfeed"
                             paginator="true"
                             editable="true"
                             paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                             currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records"
                             rowsPerPageTemplate="5,10"
                             rows="5">

                    <p:ajax event="rowEdit" listener="#{newsFeedBackingBean.onRowEdit}" update=":NewsFeedForm:formMsgs" />
                    <p:ajax event="rowEditCancel" listener="#{newsFeedBackingBean.onRowCancel}" update=":NewsFeedForm:formMsgs" />

                    <p:column style="width:50px">
                        <p:rowEditor />                        
                    </p:column>
                    
                    

                    <p:column headerText="#{msgs.link}">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{newsfeed.link}" /></f:facet>
                            <f:facet name="input"><p:inputText id="link" value="#{newsfeed.link}" style="width:100%"/></f:facet>
                        </p:cellEditor>
                    </p:column>


                    <p:column style="width:100px">
                        <f:facet name="header">#{msgs.activate}</f:facet>
                        <h:commandLink
                            action="#{newsFeedBackingBean.activateNewsFeed(newsfeed.id)}"
                            styleClass= "#{newsfeed.isActive? 'btn btn-success' : 'btn btn-default'}">
                            <i class="glyphicon glyphicon-ok-circle"></i>
                        </h:commandLink>
                    </p:column>
                    <p:column headerText="#{msgs.delete}" style="width:100px">
                       
                        <h:commandLink                            
                            action="#{newsFeedBackingBean.deleteNewsFeed(newsfeed.id)}">
                            <i class="glyphicon glyphicon-remove"></i>
                        </h:commandLink>
                    </p:column>
                </p:dataTable>
            </h:form>
        </div>
    </div>
</ui:composition>
